Subject: Re: [Spud] updated draft PLUS charter, rev. 1 June

From: Yoav Nir <[email-masked]>
Date: Sun, 3 Jul 2016 18:39:30 +0300

> On 26 Jun 2016, at 12:32 AM, Tom Herbert <[email-masked]> wrote:
> 
>>> 
>>> 
>> 
>> Is there anyone from a middle box vendor here? Do you want to hear what PLUS
>> is telling you? Or will middleboxes keep doing what they want?
>> 
> +1, these are very important questions to be answered for PLUS effort.

Well, I hesitate to speak for all middlebox vendors, but I work for a firewall vendor, and I’ve been told that firewalls are the second most problematic middlebox ([1]).

So IMO middleboxes will do whatever their developers feel is necessary to accomplish the box’s job. If PLUS tells the middlebox things that allow it to do its job better or cheaper, they will listen. 

For example, if PLUS marks some flows as latency-sensitive and others as loss-sensitive, middleboxes that perform q QoS function are likely to listen.

Similarly, information that would help in filtering (although I can’t off-hand think of an example) would be used by a firewall/IDS. If a firewall/IDS currently performs TLS proxy functionality to make some categorization, and the same categorization can be made on the basis of PLUS data, that would be a win for both usability and performance. 

> 
>> I am concerned plus is saying things nobody is listening to.
>> 
> Unless somebody's listening, there's no reason to believe applications
> are going to bother to say anything.

I agree that this would be important input for a potential WG. It would be appropriate to find a use-case for why somebody would listen for anything someone proposes that the applications say.

Yoav

[1] First place being buggy middleboxes from defunct vendors that will never ever get updated.